#! /bin/sh
clear
#Getting the base name and folder dircetory path 
BASENAME=`which basename`
DIRNAME=`which dirname`

path="${0}"

if [ -n "`fgrep ".." "${path}"`" ]; then
  curdir="`pwd`"
  path1="`$DIRNAME "${path}"`"
  cd "${path1}"

  path2="`$BASENAME "${path}"`"
  path=""${PWD}"/"${path2}""
  cd "${curdir}"
fi

#Current file location
SL_SCRIPT_CUR_DIR=`$DIRNAME "$path"`

#Set the SimLab home path
if [ -z $CAE_HOME ] 
then
export CAE_HOME=
export SL_BIN=$CAE_HOME
fi

source $CAE_HOME/vp_init.sh

if [ -z $SCRIPTS_RESULTS_DIR ]
then
  export SCRIPTS_RESULTS_DIR=$SL_SCRIPT_CUR_DIR
  export log_date_locally=true
  date >> $SCRIPTS_RESULTS_DIR/rtest_success.txt
  date >> $SCRIPTS_RESULTS_DIR/rtest_failure.txt
fi

cd $SL_SCRIPT_CUR_DIR
for i in $(find $SL_SCRIPT_CUR_DIR/Scripts -name *.js); 
do 
 $BASENAME $i
 $HW_UNITY_ROOTDIR/bin/$HW_PLATFORM/hwx -client simlab -auto $i -nographics -ns >> console.txt 2>&1
 
done

if [ $log_date_locally ]
then
  date >> $SL_SCRIPT_CUR_DIR/rtest_success.txt
  date >> $SL_SCRIPT_CUR_DIR/rtest_failure.txt
fi




